OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXCAFSchema
XCAFDrivers

# XCAFDrivers Class Reference

`#include <XCAFDrivers.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT Handle_Standard_Transient | Factory (const Standard_GUID &aGUID)
| Depending from the ID, returns a list of storage or retrieval attribute drivers. Used for plugin. Standard data model drivers =========================== 47b0b826-d931-11d1-b5da-00a0c9064368 Transient-Persistent 47b0b827-d931-11d1-b5da-00a0c9064368 Persistent-Transient XCAF data model drivers ================================= ed8793f8-3142-11d4-b9b5-0060b0ee281b Transient-Persistent ed8793f9-3142-11d4-b9b5-0060b0ee281b Persistent-Transient ed8793fa-3142-11d4-b9b5-0060b0ee281b XCAFSchema .

## Member Function Documentation

static Standard_EXPORT Handle_Standard_Transient XCAFDrivers::Factory | ( | const Standard_GUID & | aGUID | ) | `[static]`

void XCAFDrivers::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XCAFDrivers::operator new | ( | size_t | size | ) | `[inline]`

void* XCAFDrivers::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- XCAFDrivers.hxx